> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crunchbase/search

> Search Crunchbase companies by filters

**Price:** 20 credits per 50 results



## OpenAPI

````yaml /openapi/company-startup-intel.json post /api/crunchbase/search
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crunchbase/search:
    post:
      tags:
        - Crunchbase
      summary: /crunchbase/search
      description: |-
        Search Crunchbase companies by filters

        **Price:** 20 credits per 50 results
      operationId: __api_crunchbase_search_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CrunchbaseSearchPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CrunchbaseSearchCompany'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CrunchbaseSearchPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
        keywords:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        location:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        postal_code:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        industry:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        employee_count_min:
          anyOf:
            - type: integer
              enum:
                - 1
                - 11
                - 51
                - 101
                - 251
                - 501
                - 1001
                - 5001
                - 10001
            - type: 'null'
        employee_count_max:
          anyOf:
            - type: integer
              enum:
                - 10
                - 50
                - 100
                - 250
                - 500
                - 1000
                - 5000
                - 10000
                - 10001
            - type: 'null'
        founded_after:
          anyOf:
            - type: string
            - type: 'null'
        founded_before:
          anyOf:
            - type: string
            - type: 'null'
        hiring:
          anyOf:
            - type: boolean
            - type: 'null'
        event:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        spotlight:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        last_funding_date_after:
          anyOf:
            - type: string
            - type: 'null'
        last_funding_date_before:
          anyOf:
            - type: string
            - type: 'null'
        last_funding_type:
          anyOf:
            - items:
                type: string
                enum:
                  - pre_seed
                  - seed
                  - series_a
                  - series_b
                  - series_c
                  - series_d
                  - series_e
                  - series_f
                  - series_g
                  - series_h
                  - series_i
                  - series_j
                  - angel
                  - convertible_note
                  - corporate_round
                  - debt_financing
                  - equity_crowdfunding
                  - grant
                  - initial_coin_offering
                  - non_equity_assistance
                  - post_ipo_debt
                  - post_ipo_equity
                  - post_ipo_secondary
                  - private_equity
                  - product_crowdfunding
                  - secondary_market
                  - undisclosed
              type: array
              uniqueItems: true
            - type: string
              enum:
                - pre_seed
                - seed
                - series_a
                - series_b
                - series_c
                - series_d
                - series_e
                - series_f
                - series_g
                - series_h
                - series_i
                - series_j
                - angel
                - convertible_note
                - corporate_round
                - debt_financing
                - equity_crowdfunding
                - grant
                - initial_coin_offering
                - non_equity_assistance
                - post_ipo_debt
                - post_ipo_equity
                - post_ipo_secondary
                - private_equity
                - product_crowdfunding
                - secondary_market
                - undisclosed
          default: []
        last_funding_amount_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        last_funding_amount_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        funding_total_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        funding_total_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        valuation_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        valuation_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        valuation_date_after:
          anyOf:
            - type: string
            - type: 'null'
        valuation_date_before:
          anyOf:
            - type: string
            - type: 'null'
        investors:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        shares_investors_with:
          anyOf:
            - items:
                type: string
              type: array
              uniqueItems: true
            - type: string
          default: []
        it_spend_min:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        it_spend_max:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
        revenue_min:
          anyOf:
            - type: integer
              enum:
                - 0
                - 1000000
                - 10000000
                - 50000000
                - 100000000
                - 500000000
                - 1000000000
                - 10000000000
            - type: 'null'
        revenue_max:
          anyOf:
            - type: integer
              enum:
                - 1000000
                - 10000000
                - 50000000
                - 100000000
                - 500000000
                - 1000000000
                - 10000000000
                - 10000000001
            - type: 'null'
        count:
          type: integer
          exclusiveMaximum: 1000
          exclusiveMinimum: 0
      type: object
      required:
        - count
    CrunchbaseSearchCompany:
      properties:
        '@type':
          type: string
          default: CrunchbaseSearchCompany
        id:
          type: string
          format: uuid
        name:
          type: string
        alias:
          type: string
        url:
          type: string
        cb_rank:
          anyOf:
            - type: integer
            - type: 'null'
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
        short_description:
          anyOf:
            - type: string
            - type: 'null'
        founded_on:
          anyOf:
            - type: string
            - type: 'null'
        employee_count_range:
          anyOf:
            - type: string
            - type: 'null'
        categories:
          items:
            type: string
          type: array
          default: []
        location:
          anyOf:
            - $ref: '#/components/schemas/CrunchbaseLocation'
            - type: 'null'
      type: object
      required:
        - id
        - name
        - alias
        - url
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CrunchbaseLocation:
      properties:
        '@type':
          type: string
          default: CrunchbaseLocation
        city:
          anyOf:
            - type: string
            - type: 'null'
        region:
          anyOf:
            - type: string
            - type: 'null'
        country:
          anyOf:
            - type: string
            - type: 'null'
        country_code:
          anyOf:
            - type: string
            - type: 'null'
        continent:
          anyOf:
            - type: string
            - type: 'null'
        groups:
          items:
            type: string
          type: array
          default: []
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````